package com.cloudcross.ssp.back.service;

import java.util.List;

import com.cloudcross.ssp.back.model.OperatorBalance;
import com.cloudcross.ssp.base.service.IGenericService;

/**
 * 提现记录服务接口定义
 * @author chenyou
 *
 */
public interface IOperatorBalanceService extends IGenericService<OperatorBalance> {
	
	/**
	 * 根据运营商id查询上一条记录的可提现金额
	 */
	Float findAvailableMoney(Long operatorId);
	
	public boolean updateStatus(List<Long> idList, String reason, int status);
	
	/**
	 * 根据提现记录表的id将审核不通过的提现金额返还给运营商
	 */
	public boolean moneyBackToOperator(Long id);
}
